com.google.appengine.api.search

## Class ListIndexesRequest

- java.lang.Object
- - com.google.appengine.api.search.ListIndexesRequest

-     public final class ListIndexesRequest
      extends java.lang.Object

  A request to list indexes. You can specify a number of restrictions, such as the number of indexes to return, the prefix with which names of the returned indexes must begin, etc. A namespace may be specified, otherwise the default namespace will be used. Only the indexes defined in the namespace, default or otherwise, will be returned.

         ListIndexesRequest request = ListIndexesRequest().newBuilder()
             .setIndexNamePrefix("a")
             .setOffset(100)
             .setLimit(10)
             .build()

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListIndexesRequest.Builder` The builder of `ListIndexesRequest`s.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getIndexNamePrefix()`
    `java.lang.Integer` | `getLimit()`
    `java.lang.String` | `getNamespace()`
    `java.lang.Integer` | `getOffset()`
    `java.lang.String` | `getStartIndexName()`
    `int` | `hashCode()`
    `boolean` | `isIncludeStartIndex()`
    `java.lang.Boolean` | `isSchemaFetched()`
    `static ListIndexesRequest.Builder` | `newBuilder()`
    `static ListIndexesRequest.Builder` | `newBuilder(ListIndexesRequest request)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newBuilder

          public static final ListIndexesRequest.Builder newBuilder()

    - #### newBuilder

          public static final ListIndexesRequest.Builder newBuilder(ListIndexesRequest request)

    - #### getOffset

          public java.lang.Integer getOffset()

      Returns:
        the offset of the first returned index

    - #### getIndexNamePrefix

          public java.lang.String getIndexNamePrefix()

      Returns:
        the prefix matching names of all returned indexes

    - #### isIncludeStartIndex

          public boolean isIncludeStartIndex()

      Returns:
        whether or not the index with the start index name is returned

    - #### getStartIndexName

          public java.lang.String getStartIndexName()

      Returns:
        the name of the first index to be returned

    - #### getLimit

          public java.lang.Integer getLimit()

      Returns:
        the maximum number of indexes returned by this request

    - #### isSchemaFetched

          public java.lang.Boolean isSchemaFetched()

      Returns:
        whether or not index schema is returned with each index

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns:
        the namespace for this request, or null for the default namespace.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`